<template>
  <div class="form-group">
    <label>{{label}}</label>
    <input type="text" :type="type" :value="value" @input="onInput" ref="input">
  </div>
</template>

<script>
    export default {
        props: {
            label: {
                required: false,
                type: String
            },
            value: {
                required: true
            },
            type: {
                required: true,
                type: String,
                default: 'text'
            }
        },
        name: "inputForm",
        methods: {
            onInput() {
                this.$emit('input', this.$refs.input.value)
            }
        }
    }
</script>

<style scoped>
  .form-group {
    display: block;
  }
  .form-group label{
    margin-bottom: 0;
  }
  .form-group input{
    width: 100%;
  }
</style>
